Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#332 ufraw trouble with rotate

closed-fixed
nobody
None
5
2014-01-30
2012-12-23
john_k_h
No

ufraw displays garbage when rotating. I've attached a screen shot showing the display of a rotation that is not zero degrees.

John K. Herreshoff

(gdb) bt
#0 0x00007ffff30bc38e in _int_malloc () from /lib64/libc.so.6
#1 0x00007ffff30c0316 in calloc () from /lib64/libc.so.6
#2 0x00007ffff72bfcd9 in g_malloc0 (n_bytes=n_bytes@entry=185136) at gmem.c:189
#3 0x00007ffff72bff11 in g_malloc0_n (n_blocks=n_blocks@entry=46284, n_block_bytes=n_block_bytes@entry=4) at gmem.c:424
#4 0x000000000041550d in ufraw_flip_image_buffer (flip=<optimized out>, img=0x9075b0) at ufraw_ufraw.c:1753
#5 ufraw_flip_image (uf=0x907450, flip=<optimized out>) at ufraw_ufraw.c:1879
#6 0x0000000000452334 in adjustment_update_rotation (adj=<optimized out>, user_data=<optimized out>) at ufraw_preview.c:3141
#7 0x00007ffff4b5fc00 in g_closure_invoke (closure=0xd46220, return_value=0x0, n_param_values=1, param_values=0x7ffffffda710, invocation_hint=0x7ffffffda6b0) at gclosure.c:777
#8 0x00007ffff4b70f90 in signal_emit_unlocked_R (node=node@entry=0xa12be0, detail=detail@entry=0, instance=instance@entry=0xd3fc50, emission_return=emission_return@entry=0x0,
instance_and_params=instance_and_params@entry=0x7ffffffda710) at gsignal.c:3551
#9 0x00007ffff4b78d97 in g_signal_emit_valist (instance=0xd3fc50, signal_id=<optimized out>, detail=0, var_args=var_args@entry=0x7ffffffda948) at gsignal.c:3300
#10 0x00007ffff4b78fb2 in g_signal_emit (instance=instance@entry=0xd3fc50, signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3356
#11 0x00007ffff665094a in IA__gtk_adjustment_value_changed (adjustment=0xd3fc50) at gtkadjustment.c:668
#12 0x00007ffff674b1dd in gtk_range_real_change_value (range=range@entry=0xc44d30, scroll=<optimized out>, value=<optimized out>) at gtkrange.c:3810
#13 0x00007ffff670c82d in _gtk_marshal_BOOLEAN__ENUM_DOUBLE (closure=0xa1df40, return_value=0x7ffffffdabb0, n_param_values=<optimized out>, param_values=0x7ffffffdac60,
invocation_hint=<optimized out>, marshal_data=<optimized out>) at gtkmarshalers.c:247
#14 0x00007ffff4b5fc00 in g_closure_invoke (closure=0xa1df40, return_value=0x7ffffffdabb0, n_param_values=3, param_values=0x7ffffffdac60, invocation_hint=0x7ffffffdac00) at gclosure.c:777
#15 0x00007ffff4b70d10 in signal_emit_unlocked_R (node=node@entry=0xa1df70, detail=detail@entry=0, instance=instance@entry=0xc44d30, emission_return=emission_return@entry=0x7ffffffdad50,
instance_and_params=instance_and_params@entry=0x7ffffffdac60) at gsignal.c:3589
#16 0x00007ffff4b78a3b in g_signal_emit_valist (instance=0xc44d30, signal_id=<optimized out>, detail=0, var_args=var_args@entry=0x7ffffffdaec8) at gsignal.c:3310
#17 0x00007ffff4b78fb2 in g_signal_emit (instance=instance@entry=0xc44d30, signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3356
#18 0x00007ffff674a60f in page_back (range=0xc44d30) at gtkrange.c:2850
#19 0x00007ffff674bac1 in gtk_range_scroll (range=range@entry=0xc44d30, scroll=scroll@entry=GTK_SCROLL_PAGE_BACKWARD) at gtkrange.c:2959
#20 0x00007ffff674bc54 in gtk_range_add_step_timer (range=range@entry=0xc44d30, step=GTK_SCROLL_PAGE_BACKWARD) at gtkrange.c:3897
#21 0x00007ffff674ce0b in gtk_range_button_press (event=0xe31970, widget=0xc44d30) at gtkrange.c:2359
#22 gtk_range_button_press (widget=widget@entry=0xc44d30, event=0xe31970) at gtkrange.c:2309
#23 0x00007ffff670c449 in _gtk_marshal_BOOLEAN__BOXED (closure=0x8406a0, return_value=0x7ffffffdb1c0, n_param_values=<optimized out>, param_values=0x7ffffffdb270,
invocation_hint=<optimized out>, marshal_data=<optimized out>) at gtkmarshalers.c:86
#24 0x00007ffff4b5fc00 in g_closure_invoke (closure=0x8406a0, return_value=0x7ffffffdb1c0, n_param_values=2, param_values=0x7ffffffdb270, invocation_hint=0x7ffffffdb210) at gclosure.c:777
#25 0x00007ffff4b70d10 in signal_emit_unlocked_R (node=node@entry=0x8406d0, detail=detail@entry=0, instance=instance@entry=0xc44d30, emission_return=emission_return@entry=0x7ffffffdb340,
instance_and_params=instance_and_params@entry=0x7ffffffdb270) at gsignal.c:3589
#26 0x00007ffff4b78a3b in g_signal_emit_valist (instance=0xc44d30, signal_id=<optimized out>, detail=0, var_args=var_args@entry=0x7ffffffdb4b8) at gsignal.c:3310
#27 0x00007ffff4b78fb2 in g_signal_emit (instance=instance@entry=0xc44d30, signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3356
#28 0x00007ffff682428e in gtk_widget_event_internal (widget=widget@entry=0xc44d30, event=event@entry=0xe31970) at gtkwidget.c:5010
#29 0x00007ffff6824609 in IA__gtk_widget_event (widget=widget@entry=0xc44d30, event=event@entry=0xe31970) at gtkwidget.c:4807
#30 0x00007ffff670a7e4 in IA__gtk_propagate_event (widget=0xc44d30, event=0xe31970) at gtkmain.c:2490
#31 0x00007ffff670ab3b in IA__gtk_main_do_event (event=0xe31970) at gtkmain.c:1685
#32 0x00007ffff638122c in gdk_event_dispatch (source=source@entry=0x7faec0, callback=<optimized out>, user_data=<optimized out>) at gdkevents-x11.c:2403
#33 0x00007ffff72ba045 in g_main_dispatch (context=0x7faf40) at gmain.c:2715
#34 g_main_context_dispatch (context=context@entry=0x7faf40) at gmain.c:3219
#35 0x00007ffff72ba378 in g_main_context_iterate (context=0x7faf40, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3290
#36 0x00007ffff72ba772 in g_main_loop_run (loop=0xe7f010) at gmain.c:3484
---Type <return> to continue, or q <return> to quit---
#37 0x00007ffff6709b47 in IA__gtk_main () at gtkmain.c:1257
#38 0x000000000045b70e in ufraw_preview (uf=uf@entry=0x907450, rc=rc@entry=0x7ffffffdd220, plugin=plugin@entry=0, save_func=save_func@entry=0x0) at ufraw_preview.c:5854
#39 0x000000000045d0cf in ufraw_chooser (rc=rc@entry=0x7ffffffdd220, conf=conf@entry=0x7fffffff2ee0, cmd=cmd@entry=0x7ffffffe8080, defPath=<optimized out>) at ufraw_chooser.c:162
#40 0x000000000040e7fc in main (argc=1, argv=0x7fffffffde58) at ufraw.c:95
(gdb)

Related

Bugs: #332

Discussion

  • john_k_h
    john_k_h
    2012-12-23

    Screen shot of rotation.

     
    Attachments
  • Please try the current cvs code base and report back. The problem might be due to a bug in GCC 4.7.x.

    Regards,
    Niels Kristian

     
  • john_k_h
    john_k_h
    2013-03-02

    That fixes it. I'm running slackware64 14.0 with gcc 4.7.1, so you seem
    to know what the problem is :-)

    Thanks!

    John.

    On Saturday 02 March 2013 08:52:45 Niels Kristian Bech Jensen wrote:

    Please try the current cvs code base and report back. The problem might
    be due to a bug in GCC 4.7.x.

    Regards,
    Niels Kristian


    [bugs:#332] ufraw trouble with rotate

    Status: open
    Created: Sun Dec 23, 2012 10:14 PM UTC by john_k_h
    Last Updated: Sun Dec 23, 2012 10:14 PM UTC
    Owner: nobody

    ufraw displays garbage when rotating. I've attached a screen shot
    showing the display of a rotation that is not zero degrees.

    John K. Herreshoff

    (gdb) bt
    #0 0x00007ffff30bc38e in _int_malloc () from /lib64/libc.so.6
    #1 0x00007ffff30c0316 in calloc () from /lib64/libc.so.6
    #2 0x00007ffff72bfcd9 in g_malloc0
    (n_bytes=n_bytes@entry=185136) at gmem.c:189 #3
    0x00007ffff72bff11 in g_malloc0_n (n_blocks=n_blocks@entry=46284,
    n_block_bytes=n_block_bytes@entry=4) at gmem.c:424 #4
    0x000000000041550d in ufraw_flip_image_buffer (flip=<optimized
    out>, img=0x9075b0) at ufraw_ufraw.c:1753 #5 ufraw_flip_image
    (uf=0x907450, flip=<optimized out>) at ufraw_ufraw.c:1879 #6
    0x0000000000452334 in adjustment_update_rotation (adj=<optimized
    out>, user_data=<optimized out>) at ufraw_preview.c:3141
    #7 0x00007ffff4b5fc00 in g_closure_invoke (closure=0xd46220,
    return_value=0x0, n_param_values=1, param_values=0x7ffffffda710,
    invocation_hint=0x7ffffffda6b0) at gclosure.c:777 #8
    0x00007ffff4b70f90 in signal_emit_unlocked_R
    (node=node@entry=0xa12be0, detail=detail@entry=0,
    instance=instance@entry=0xd3fc50,
    emission_return=emission_return@entry=0x0,
    instance_and_params=instance_and_params@entry=0x7ffffffda710) at
    gsignal.c:3551 #9 0x00007ffff4b78d97 in g_signal_emit_valist
    (instance=0xd3fc50, signal_id=<optimized out>, detail=0,
    var_args=var_args@entry=0x7ffffffda948) at gsignal.c:3300 #10
    0x00007ffff4b78fb2 in g_signal_emit
    (instance=instance@entry=0xd3fc50, signal_id=<optimized out>,
    detail=detail@entry=0) at gsignal.c:3356 #11 0x00007ffff665094a in
    IA__gtk_adjustment_value_changed (adjustment=0xd3fc50) at
    gtkadjustment.c:668 #12 0x00007ffff674b1dd in
    gtk_range_real_change_value (range=range@entry=0xc44d30,
    scroll=<optimized out>, value=<optimized out>) at
    gtkrange.c:3810 #13 0x00007ffff670c82d in
    _gtk_marshal_BOOLEAN__ENUM_DOUBLE (closure=0xa1df40,
    return_value=0x7ffffffdabb0, n_param_values=<optimized out>,
    param_values=0x7ffffffdac60, invocation_hint=<optimized out>,
    marshal_data=<optimized out>) at gtkmarshalers.c:247 #14
    0x00007ffff4b5fc00 in g_closure_invoke (closure=0xa1df40,
    return_value=0x7ffffffdabb0, n_param_values=3,
    param_values=0x7ffffffdac60, invocation_hint=0x7ffffffdac00) at
    gclosure.c:777 #15 0x00007ffff4b70d10 in signal_emit_unlocked_R
    (node=node@entry=0xa1df70, detail=detail@entry=0,
    instance=instance@entry=0xc44d30,
    emission_return=emission_return@entry=0x7ffffffdad50,
    instance_and_params=instance_and_params@entry=0x7ffffffdac60) at
    gsignal.c:3589 #16 0x00007ffff4b78a3b in g_signal_emit_valist
    (instance=0xc44d30, signal_id=<optimized out>, detail=0,
    var_args=var_args@entry=0x7ffffffdaec8) at gsignal.c:3310 #17
    0x00007ffff4b78fb2 in g_signal_emit
    (instance=instance@entry=0xc44d30, signal_id=<optimized out>,
    detail=detail@entry=0) at gsignal.c:3356 #18 0x00007ffff674a60f in
    page_back (range=0xc44d30) at gtkrange.c:2850 #19
    0x00007ffff674bac1 in gtk_range_scroll (range=range@entry=0xc44d30,
    scroll=scroll@entry=GTK_SCROLL_PAGE_BACKWARD) at gtkrange.c:2959
    #20 0x00007ffff674bc54 in gtk_range_add_step_timer
    (range=range@entry=0xc44d30, step=GTK_SCROLL_PAGE_BACKWARD) at
    gtkrange.c:3897 #21 0x00007ffff674ce0b in gtk_range_button_press
    (event=0xe31970, widget=0xc44d30) at gtkrange.c:2359 #22
    gtk_range_button_press (widget=widget@entry=0xc44d30,
    event=0xe31970) at gtkrange.c:2309 #23 0x00007ffff670c449 in
    _gtk_marshal_BOOLEAN__BOXED (closure=0x8406a0,
    return_value=0x7ffffffdb1c0, n_param_values=<optimized out>,
    param_values=0x7ffffffdb270, invocation_hint=<optimized out>,
    marshal_data=<optimized out>) at gtkmarshalers.c:86 #24
    0x00007ffff4b5fc00 in g_closure_invoke (closure=0x8406a0,
    return_value=0x7ffffffdb1c0, n_param_values=2,
    param_values=0x7ffffffdb270, invocation_hint=0x7ffffffdb210) at
    gclosure.c:777 #25 0x00007ffff4b70d10 in signal_emit_unlocked_R
    (node=node@entry=0x8406d0, detail=detail@entry=0,
    instance=instance@entry=0xc44d30,
    emission_return=emission_return@entry=0x7ffffffdb340,
    instance_and_params=instance_and_params@entry=0x7ffffffdb270) at
    gsignal.c:3589 #26 0x00007ffff4b78a3b in g_signal_emit_valist
    (instance=0xc44d30, signal_id=<optimized out>, detail=0,
    var_args=var_args@entry=0x7ffffffdb4b8) at gsignal.c:3310 #27
    0x00007ffff4b78fb2 in g_signal_emit
    (instance=instance@entry=0xc44d30, signal_id=<optimized out>,
    detail=detail@entry=0) at gsignal.c:3356 #28 0x00007ffff682428e in
    gtk_widget_event_internal (widget=widget@entry=0xc44d30,
    event=event@entry=0xe31970) at gtkwidget.c:5010 #29
    0x00007ffff6824609 in IA__gtk_widget_event
    (widget=widget@entry=0xc44d30, event=event@entry=0xe31970) at
    gtkwidget.c:4807 #30 0x00007ffff670a7e4 in IA__gtk_propagate_event
    (widget=0xc44d30, event=0xe31970) at gtkmain.c:2490 #31
    0x00007ffff670ab3b in IA__gtk_main_do_event (event=0xe31970) at
    gtkmain.c:1685 #32 0x00007ffff638122c in gdk_event_dispatch
    (source=source@entry=0x7faec0, callback=<optimized out>,
    user_data=<optimized out>) at gdkevents-x11.c:2403 #33
    0x00007ffff72ba045 in g_main_dispatch (context=0x7faf40) at
    gmain.c:2715 #34 g_main_context_dispatch
    (context=context@entry=0x7faf40) at gmain.c:3219 #35
    0x00007ffff72ba378 in g_main_context_iterate (context=0x7faf40,
    block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized
    out>) at gmain.c:3290 #36 0x00007ffff72ba772 in g_main_loop_run
    (loop=0xe7f010) at gmain.c:3484 ---Type <return> to continue,
    or q <return> to quit--- #37 0x00007ffff6709b47 in
    IA__gtk_main () at gtkmain.c:1257 #38 0x000000000045b70e in
    ufraw_preview (uf=uf@entry=0x907450, rc=rc@entry=0x7ffffffdd220,
    plugin=plugin@entry=0, save_func=save_func@entry=0x0) at
    ufraw_preview.c:5854 #39 0x000000000045d0cf in ufraw_chooser
    (rc=rc@entry=0x7ffffffdd220, conf=conf@entry=0x7fffffff2ee0,
    cmd=cmd@entry=0x7ffffffe8080, defPath=<optimized out>) at
    ufraw_chooser.c:162 #40 0x000000000040e7fc in main (argc=1,
    argv=0x7fffffffde58) at ufraw.c:95 (gdb)


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/ufraw/bugs/332/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/prefs/

     

    Related

    Bugs: #332

  • The problem is a compiler bug i GCC 4.7.x. Nils Philippsen is trying to isolate it but for now we avoid the optimization level that triggers it.

    Regards,
    Niels Kristian

     
    • status: open --> closed-fixed